<?php  /*
 Plugin Name: All-In-One Cuf&oacute;n
 Plugin URI: http://tomsramek.com/plugins/all-in-one-cufon/
 Description: Plugin for easy font replacement.
 Author: Tom Sramek
 Version: 1.0
 Author URI: http://www.tomsramek.com
 */

/**
  * Here's the magic
  *
  * @since 1.0
  */
 function wpcuf_insert_code()
 {     
     $plugin = WP_PLUGIN_URL . '/' . plugin_basename(dirname(__file__));
     $cufon_font_location = WP_PLUGIN_URL . '/cufon-fonts';
     $wpcuf_code = get_option('wpcuf_code');

     echo "
		<script type='text/javascript' src='$plugin/js/cufon/cufon-yui.js'></script>          	
		";
     $count = 0;
     foreach (glob(WP_PLUGIN_DIR . "/cufon-fonts/*") as $path_to_files)
     {
         $count++;
         $file = basename($path_to_files);
         
         if(is_admin()) { ?>
            <script src="<?php echo WP_PLUGIN_URL; ?>/cufon-fonts/<?php echo $file; ?>" type="text/javascript"></script>              
            
<?php         } else if((get_option("enable_font-$count") == "1")) { ?>		
		<script src="<?php echo WP_PLUGIN_URL; ?>/cufon-fonts/<?php echo $file; ?>" type="text/javascript"></script>        
<?php 
         }
     }    

    if(is_admin()) { // WE ARE IN THE ADMIN PANEL ?>   
    
     <link rel='stylesheet' href='<?php echo $plugin; ?>/style/style.css' type='text/css' media='all' />
     
 <?php
     echo "<script type='text/javascript'>\n";
     $count = 0;
     foreach (glob(WP_PLUGIN_DIR . "/cufon-fonts/*") as $path_to_files)
     {
         $count++;
         $file_name = basename($path_to_files);
         $file_content = file_get_contents("$cufon_font_location/$file_name");
         $delimeterLeft = 'font-family":"';
         $delimeterRight = '"';
         $font_name = font_name($file_content, $delimeterLeft, $delimeterRight, $debug = false);
         echo stripslashes("Cufon('#font-$count', { fontFamily: '$font_name' });\n");
     }
     echo "</script>\n";
     ?>
     <script type='text/javascript' src='<?php echo $plugin ?>/font/Delicious_500.font.js'></script> 
     <script type='text/javascript'>
             
             Cufon.replace('h2.codeTips', {	hover: true }); //hover rule should be always first!
     
             Cufon('h2.codeTips', { fontFamily: 'Delicious' });
             
             Cufon('h2.codeTips#tip2', { color: '-linear-gradient(#000040, #00CCFF)' }); // no comas behind last option           
             Cufon.replace('h2.codeTips#tip4', { textShadow: '2px 2px red'});
  
       
     </script>    
    
     <?php
    } else { // WE ARE ON THE SITE
         /*code from form*/
         echo "<script type='text/javascript'>";
         echo stripslashes(get_option("wpcuf_code"));
         echo "</script>";
   }
     
 }

 if (is_admin())
 {
     add_action('admin_head', 'wpcuf_insert_code');
 } else
 {
     add_action('wp_head', 'wpcuf_insert_code');
 }

 /**
  * extract name of the font
  *
  * @since 1.0
  */
 function font_name($inputStr, $delimeterLeft, $delimeterRight, $debug = false)
 {
     $posLeft = strpos($inputStr, $delimeterLeft);
     if ($posLeft === false)
     {
         if ($debug)
         {
             echo "Warning: left delimiter '{$delimeterLeft}' not found";
         }
         return false;
     }
     $posLeft += strlen($delimeterLeft);
     $posRight = strpos($inputStr, $delimeterRight, $posLeft);
     if ($posRight === false)
     {
         if ($debug)
         {
             echo "Warning: right delimiter '{$delimeterRight}' not found";
         }
         return false;
     }
     return substr($inputStr, $posLeft, $posRight - $posLeft);
 }

 //*************** Admin function ***************
 /**
  * Let's call admin panel
  *
  * @since 1.0
  */
 function wpcuf_admin()
 {
     include ('wordpress_cufon_adminpanel.php');
 }

/**
  * Name of the panel etc.
  *
  * @since 1.0
  */
 function wpcuf_admin_actions()
 {
     add_options_page("All-In-One Cufon", "All-In-One Cufon", 1, "All-In-One Cufon",
         "wpcuf_admin");
 }

 add_action('admin_menu', 'wpcuf_admin_actions');
?>